2018-06-23 09:27 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001238FSSCPspeechpublic2007-04-13 04:28
ReporterThe Trivial Psychic 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD-2600+ 1GB DDR400 ATI9600XTOSWinXP in OGLOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001238: Simulated Speech in Debriefing Says "Dot" for Period, When At End Of Stage
DescriptionWhen using simulated speech for debriefings, it appears that when reaching the end of a stage and finding a period, the speech will say "dot" rather than treating it as an end-of-sentence period. This also causes it to run directly into the next paragraph of the following stage, since it hasn't registered the period.
Steps To ReproduceCreate a debriefing containing multiple stages, and end each stage with a period. Then play the mission.
Additional InformationThis doesn't manifest itself in the command briefings and mission briefings, since the stages themselves are separated by advancing to the next frame.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007518

Goober5000 (administrator)

Do you put spaces before your periods?

~0007529

The Trivial Psychic (reporter)

No.

~0007549

Goober5000 (administrator)

Can you attach a sample mission?

This might not be fixable, for two reasons. One, it might be a Speech SDK bug and not a SCP bug. Two, speech hasn't been officially supported since RandomTiger left.

~0007553

The Trivial Psychic (reporter)

Last edited: 2007-01-29 05:58

I've included a mission to demonstrate this. I play using Microsoft Mary as my voice of choice. I also stumbled across a possible Media VP issue while I was creating this. I've included it in the mission briefing (now has its own bug report). For best results, ensure that Sim Speech is enabled in briefings and in-game, not that you REALLY need for the later though.

~0007567

Goober5000 (administrator)

I've got an idea. Try inserting a space at the very end of the briefing stage. (Load it up in Notepad so you can be sure the space is there.) Then try again.

~0007568

The Trivial Psychic (reporter)

Sorry. Already tried that, and it didn't work. I didn't do it in notepad, but when I came back to try something else, the space was still there. Before you ask, I also tried a hard return after the paragraph and that didn't work. The only thing I could possibly think of, is if there was a character that I could put in, that the simulated speech wouldn't read, and the game wouldn't display. Do you think that might work?

~0007570

FUBAR-BDHR (developer)

Well the easiest thing I can think of is just don't put a . at the end. No one will notice

~0007571

Goober5000 (administrator)

People will notice. And that won't fix the problem anyway.

The problem is that the Speech SDK is running the two debriefing stages together and treating them like a single paragraph. What we need to do is figure out how to insert a paragraph stop between them.

~0007952

Goober5000 (administrator)

Okay, this should be very simple. I have a fix that I'll test as soon as I get home.

~0007991

Goober5000 (administrator)

Fixed. Surprisingly trivial. :)
+Notes

-Issue History
Date Modified Username Field Change
2007-01-21 19:14 The Trivial Psychic New Issue
2007-01-22 16:27 Goober5000 Note Added: 0007518
2007-01-22 23:05 The Trivial Psychic Note Added: 0007529
2007-01-27 01:14 Goober5000 Note Added: 0007549
2007-01-29 05:14 The Trivial Psychic File Added: SimSpeechProb.fs2
2007-01-29 05:16 The Trivial Psychic Note Added: 0007553
2007-01-29 05:58 The Trivial Psychic Note Edited: 0007553
2007-01-30 21:30 Goober5000 Note Added: 0007567
2007-01-31 04:12 The Trivial Psychic Note Added: 0007568
2007-01-31 05:29 FUBAR-BDHR Note Added: 0007570
2007-01-31 05:40 Goober5000 Note Added: 0007571
2007-01-31 05:41 Goober5000 Status new => assigned
2007-01-31 05:41 Goober5000 Assigned To => Goober5000
2007-04-11 03:21 Goober5000 Note Added: 0007952
2007-04-13 04:28 Goober5000 Note Added: 0007991
2007-04-13 04:28 Goober5000 Status assigned => resolved
2007-04-13 04:28 Goober5000 Resolution open => fixed
2007-04-13 04:28 Goober5000 Fixed in Version => 3.6.10
+Issue History